# [−][src]Trait std::slice::Join

    pub trait Join<Separator> {
        type Output;
        fn join(slice: &Self, sep: Separator) -> Self::Output;
    }

🔬 This is a nightly-only experimental API. (`slice_concat_trait` #27747)

Helper trait for `[T]::join`

## Associated Types

### `type Output`

🔬 This is a nightly-only experimental API. (`slice_concat_trait` #27747)

The resulting type after concatenation

Loading content...

## Required methods

### `fn join(slice: &Self, sep: Separator) -> Self::Output`

🔬 This is a nightly-only experimental API. (`slice_concat_trait` #27747)

Implementation of `[T]::join`

Loading content...

## Implementors

Loading content...